' Requires a referenc to System.Xml.
Imports System.Xml
Imports System.IO

Public Class Form1
    Private Sub btnGo_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGo.Click
        Using memory_stream As New MemoryStream()
            Dim xml_text_writer As New XmlTextWriter(memory_stream, System.Text.Encoding.UTF8)

            ' Use indentation to make the result look nice.
            xml_text_writer.Formatting = Formatting.Indented
            xml_text_writer.Indentation = 4

            ' Write the XML declaration.
            xml_text_writer.WriteStartDocument(True)

            ' Start the Employees node.
            xml_text_writer.WriteStartElement("Employees")

            ' Write some Employee elements.
            MakeEmployee(xml_text_writer, "Albert", "Anders", 11111)
            MakeEmployee(xml_text_writer, "Betty", "Beach", 22222)
            MakeEmployee(xml_text_writer, "Chuck", "Cinder", 33333)

            ' End the Employees node.
            xml_text_writer.WriteEndElement()

            ' End the document.
            xml_text_writer.WriteEndDocument()
            xml_text_writer.Flush()

            ' Use a StreamReader to display the result.
            Using stream_reader As New StreamReader(memory_stream)

                memory_stream.Seek(0, SeekOrigin.Begin)
                txtResult.Text = stream_reader.ReadToEnd()
            End Using ' stream_reader 

            ' Close the XmlTextWriter.
            xml_text_writer.Close()
        End Using ' memory_stream
    End Sub

    ' Add an Employee node to the document.
    Private Sub MakeEmployee(ByVal xml_text_writer As XmlTextWriter, ByVal first_name As String, ByVal last_name As String, ByVal emp_id As Integer)
        ' Start the Employee element.
        xml_text_writer.WriteStartElement("Employee")

        ' Write the FirstName.
        xml_text_writer.WriteStartElement("FirstName")
        xml_text_writer.WriteString(first_name)
        xml_text_writer.WriteEndElement()

        ' Write the LastName.
        xml_text_writer.WriteStartElement("LastName")
        xml_text_writer.WriteString(last_name)
        xml_text_writer.WriteEndElement()

        ' Write the EmployeeId.
        xml_text_writer.WriteStartElement("EmployeeId")
        xml_text_writer.WriteString(emp_id.ToString)
        xml_text_writer.WriteEndElement()

        ' Close the Employee element.
        xml_text_writer.WriteEndElement()
    End Sub
End Class
